package com.muyu.cloud.annotate;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.annotate
 * @Project：cloud-server-8
 * @name：FaultField
 * @Date：2024/9/24 9:16
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface FaultField {
    String name(); //假设FaultCondition中有一个相同名字的字段或可以映射到它的字段
}
