package com.muyu.cloud.faultmanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.cloud.faultmanage.domain.FaultCondition;
import com.muyu.cloud.faultmanage.domain.FaultRule;
import com.muyu.cloud.faultmanage.domain.req.FaultConditionAddReq;
import com.muyu.cloud.faultmanage.domain.req.FaultConditionListReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.mapper
 * @Project：cloud-server-8
 * @name：FaultRuleMapper
 * @Date：2024/9/19 22:11
 */
@Mapper
public interface FaultConditionMapper extends BaseMapper<FaultCondition> {

    List<FaultCondition> selectfaultconditionlist(FaultConditionListReq faultConditionListReq);


    List<FaultCondition> selectBytypeAndlabel(FaultConditionAddReq faultConditionAddReq);
}
