package com.muyu.cloud.faultmanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.cloud.faultmanage.domain.CarFaultRule;
import com.muyu.cloud.faultmanage.domain.CarInformation;
import com.muyu.cloud.faultmanage.domain.FaultCondition;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.mapper
 * @Project：cloud-server-8
 * @name：FaultRuleMapper
 * @Date：2024/9/19 22:11
 */
@Mapper
public interface FaultRuleMapper extends BaseMapper<CarFaultRule> {

    CarInformation selectTypeByVIN(@Param("vin") String vin);

    List<FaultCondition> selectruleByType(@Param("carInformationType") Integer carInformationType);
}
