package com.muyu.cloud.faultmanage.service;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service
 * @Project：cloud-server-8
 * @name：FaultDetectionStrategy
 * @Date：2024/9/20 19:40
 */

import com.muyu.cloud.faultmanage.domain.CarFaultRule;
import com.muyu.cloud.faultmanage.domain.FaultReport;
import com.muyu.cloud.faultmanage.domain.Vehicle;

/**
 * 故障检测策略的接口
 */
public interface FaultDetectionStrategy {

    FaultReport detectFaults(CarFaultRule carFaultRule);

}
