package com.muyu.cloud.faultmanage.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain
 * @Project：cloud-server-8
 * @name：CarType
 * @Date：2024/9/21 19:01
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_type",autoResultMap = true)
public class CarType {

    /**
     * 车辆类型ID
     */
    private long carTypeId;
    /**
     * 车辆类型名
     */
    private String carTypeName;
    /**
     * 车辆规则外键ID
     */
    private long carTypeRules;

}
