package com.muyu.cloud.faultmanage.domain.message;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.message
 * @Project：cloud-server-8
 * @name：MessageReq
 * @Date：2024/9/22 11:00
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class MessageReq {
    /**
     * 消息状态
     */
    private Integer status;
    /**
     * 登录人Id
     */
    private long userId;
}
