package com.muyu.cloud.faultmanage.domain.vo;

import com.muyu.cloud.faultmanage.domain.FaultCode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.domain.vo
 * @Project：cloud-faultmanage
 * @name：FaultCodeVO
 * @Date：2024/9/17 15:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class FaultCodeVO extends FaultCode {
    /**
     *故障类型名称
     */
    private String faulttypeName;
    /**
     * 故障名称
     */
    private String messageTypeName;
    /**
     * 报文编码
     */
    private String messageTypeCode;
    /**
     *报文所属类别
     */
    private String messageTypeBelongs;


}
