package com.muyu.cloud.faultmanage.controller;

import com.muyu.cloud.faultmanage.service.CarTypeService;
import com.muyu.common.core.domain.Result;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.controller
 * @Project：cloud-server-8
 * @name：CarTypeController
 * @Date：2024/9/21 19:01
 */
@RequestMapping("/cartype")
@RestController
public class CarTypeController {

    @Autowired
    private CarTypeService carTypeService;


    /**
     * 车辆类型
     * @return
     */
    @PostMapping("/list")
    @Operation(summary = "车辆类型",description = "车辆类型信息")
    public Result carTypeList(){
        return Result.success(carTypeService.selectcarType());
    }
}
