package com.muyu.cloud.faultmanage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.faultmanage.domain.CarFaultRule;
import com.muyu.cloud.faultmanage.domain.FaultRule;
import com.muyu.cloud.faultmanage.domain.Vehicle;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service.impl
 * @Project：cloud-server-8
 * @name：FaultRuleService
 * @Date：2024/9/19 22:10
 */
public interface FaultRuleService extends IService<CarFaultRule> {


    /**
     * 故障参数匹配检查
     * @param carFaultRule
     * @return
     */
    List<Vehicle> checkfault(CarFaultRule carFaultRule);
}
