package com.muyu.cloud.faultmanage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.faultmanage.domain.FaultLabel;
import com.muyu.cloud.faultmanage.domain.FaultType;
import com.muyu.cloud.faultmanage.mapper.FaultLabelMapper;
import com.muyu.cloud.faultmanage.mapper.FaultTypeMapper;
import com.muyu.cloud.faultmanage.service.FaultLabelService;
import com.muyu.cloud.faultmanage.service.FaultTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：weiran
 * @Package：com.muyu.cloud.faultmanage.service.impl
 * @Project：cloud-server-8
 * @name：FaultTypeServiceImpl
 * @Date：2024/9/18 21:00
 */
@Service
public class FaultLabelServiceImpl extends ServiceImpl<FaultLabelMapper, FaultLabel> implements FaultLabelService {
    @Autowired
    private FaultLabelMapper faultLabelMapper;


    /**
     * 故障信息查询
     * @return
     */
    @Override
    public List<FaultLabel> select() {
        LambdaQueryWrapper<FaultLabel> queryWrapper = new LambdaQueryWrapper<>();
        List<FaultLabel> list = this.list(queryWrapper);
        return list;
    }
}
